package com.kdanmobile.dragwebobject;

import android.content.Context;
import android.graphics.PointF;
import android.support.annotation.Nullable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.widget.LinearLayout;

/**
 * Created by Shan on 2017/10/16.
 */

public class DragLayout extends LinearLayout {

    private PointF touchDownPoint;

    public DragLayout(Context context) {
        super(context);
    }

    public DragLayout(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        switch (event.getActionMasked()) {
            case MotionEvent.ACTION_DOWN:
                touchDownPoint = new PointF(event.getX(), event.getY());
                Log.d("Debug", "ACTION_DOWN2");
                break;

            case MotionEvent.ACTION_MOVE:
                Log.d("Debug", " ACTION_MOVE2");
                break;

            case MotionEvent.ACTION_UP:
                Log.d("Debug", " ACTION_UP2");
                break;
        }
        return false;
    }


    public PointF getTouchDownPoint() {
        return touchDownPoint;
    }
}
